cURL
curl --request POST \
--url https://api.example.com/{connector_id}/list_entitlements \
--header 'Content-Type: application/json' \
--data '
{
"request": {
"custom_attributes": [
"<string>"
]
},
"include_raw_data": true,
"page": {
"token": "<string>",
"size": 123
},
"settings": {},
"auth": {
"id": "some_unique_id"
},
"credentials": [
{
"id": "some_unique_id"
}
]
}
'import requests
url = "https://api.example.com/{connector_id}/list_entitlements"
payload = {
"request": { "custom_attributes": ["<string>"] },
"include_raw_data": True,
"page": {
"token": "<string>",
"size": 123
},
"settings": {},
"auth": { "id": "some_unique_id" },
"credentials": [{ "id": "some_unique_id" }]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
request: {custom_attributes: ['<string>']},
include_raw_data: true,
page: {token: '<string>', size: 123},
settings: {},
auth: {id: 'some_unique_id'},
credentials: [{id: 'some_unique_id'}]
})
};
fetch('https://api.example.com/{connector_id}/list_entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{connector_id}/list_entitlements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'request' => [
'custom_attributes' => [
'<string>'
]
],
'include_raw_data' => true,
'page' => [
'token' => '<string>',
'size' => 123
],
'settings' => [
],
'auth' => [
'id' => 'some_unique_id'
],
'credentials' => [
[
'id' => 'some_unique_id'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{connector_id}/list_entitlements"
payload := strings.NewReader("{\n \"request\": {\n \"custom_attributes\": [\n \"<string>\"\n ]\n },\n \"include_raw_data\": true,\n \"page\": {\n \"token\": \"<string>\",\n \"size\": 123\n },\n \"settings\": {},\n \"auth\": {\n \"id\": \"some_unique_id\"\n },\n \"credentials\": [\n {\n \"id\": \"some_unique_id\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/{connector_id}/list_entitlements")
.header("Content-Type", "application/json")
.body("{\n \"request\": {\n \"custom_attributes\": [\n \"<string>\"\n ]\n },\n \"include_raw_data\": true,\n \"page\": {\n \"token\": \"<string>\",\n \"size\": 123\n },\n \"settings\": {},\n \"auth\": {\n \"id\": \"some_unique_id\"\n },\n \"credentials\": [\n {\n \"id\": \"some_unique_id\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{connector_id}/list_entitlements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"request\": {\n \"custom_attributes\": [\n \"<string>\"\n ]\n },\n \"include_raw_data\": true,\n \"page\": {\n \"token\": \"<string>\",\n \"size\": 123\n },\n \"settings\": {},\n \"auth\": {\n \"id\": \"some_unique_id\"\n },\n \"credentials\": [\n {\n \"id\": \"some_unique_id\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"response": [
{
"entitlement_type": "org_role",
"integration_specific_id": "member",
"integration_specific_resource_id": "",
"label": "Org Member"
}
],
"raw_data": "<unknown>",
"page": {
"token": "<string>",
"size": 123
}
}Read Capabilities
/{connector_id}/list_entitlements
List all entitlements available in the connected system.
The response includes details about each entitlement including:
- The type of entitlement (e.g. group, role, workspace)
- The resource it applies to (empty string for global resource)
- Integration-specific identifiers
POST
/
{connector_id}
/
list_entitlements
cURL
curl --request POST \
--url https://api.example.com/{connector_id}/list_entitlements \
--header 'Content-Type: application/json' \
--data '
{
"request": {
"custom_attributes": [
"<string>"
]
},
"include_raw_data": true,
"page": {
"token": "<string>",
"size": 123
},
"settings": {},
"auth": {
"id": "some_unique_id"
},
"credentials": [
{
"id": "some_unique_id"
}
]
}
'import requests
url = "https://api.example.com/{connector_id}/list_entitlements"
payload = {
"request": { "custom_attributes": ["<string>"] },
"include_raw_data": True,
"page": {
"token": "<string>",
"size": 123
},
"settings": {},
"auth": { "id": "some_unique_id" },
"credentials": [{ "id": "some_unique_id" }]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
request: {custom_attributes: ['<string>']},
include_raw_data: true,
page: {token: '<string>', size: 123},
settings: {},
auth: {id: 'some_unique_id'},
credentials: [{id: 'some_unique_id'}]
})
};
fetch('https://api.example.com/{connector_id}/list_entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{connector_id}/list_entitlements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'request' => [
'custom_attributes' => [
'<string>'
]
],
'include_raw_data' => true,
'page' => [
'token' => '<string>',
'size' => 123
],
'settings' => [
],
'auth' => [
'id' => 'some_unique_id'
],
'credentials' => [
[
'id' => 'some_unique_id'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{connector_id}/list_entitlements"
payload := strings.NewReader("{\n \"request\": {\n \"custom_attributes\": [\n \"<string>\"\n ]\n },\n \"include_raw_data\": true,\n \"page\": {\n \"token\": \"<string>\",\n \"size\": 123\n },\n \"settings\": {},\n \"auth\": {\n \"id\": \"some_unique_id\"\n },\n \"credentials\": [\n {\n \"id\": \"some_unique_id\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/{connector_id}/list_entitlements")
.header("Content-Type", "application/json")
.body("{\n \"request\": {\n \"custom_attributes\": [\n \"<string>\"\n ]\n },\n \"include_raw_data\": true,\n \"page\": {\n \"token\": \"<string>\",\n \"size\": 123\n },\n \"settings\": {},\n \"auth\": {\n \"id\": \"some_unique_id\"\n },\n \"credentials\": [\n {\n \"id\": \"some_unique_id\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{connector_id}/list_entitlements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"request\": {\n \"custom_attributes\": [\n \"<string>\"\n ]\n },\n \"include_raw_data\": true,\n \"page\": {\n \"token\": \"<string>\",\n \"size\": 123\n },\n \"settings\": {},\n \"auth\": {\n \"id\": \"some_unique_id\"\n },\n \"credentials\": [\n {\n \"id\": \"some_unique_id\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"response": [
{
"entitlement_type": "org_role",
"integration_specific_id": "member",
"integration_specific_resource_id": "",
"label": "Org Member"
}
],
"raw_data": "<unknown>",
"page": {
"token": "<string>",
"size": 123
}
}Path Parameters
Body
application/json
Authenticated request.
The main request payload.
Show child attributes
Show child attributes
Whether to include raw data in the response.
Pagination information for the request.
Show child attributes
Show child attributes
Connector-specific settings for the request.
These are settings that are shared across all capabilities.
Usually contain additional required configuration options not specified by the capability schema.
Show child attributes
Show child attributes
The authentication credentials for the request.
Show child attributes
Show child attributes
Show child attributes
Show child attributes